OpenZWave Library: OpenZWave::Timer Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OpenZWave::Timer Class Reference

Timer SubClass for automatically registering/unregistering Timer Callbacks if the instance goes out of scope. More...

`#include <TimerThread.h>`

Inheritance diagram for OpenZWave::Timer:

## Public Member Functions
| Timer (Driver *_driver)
| Constructor with the _driver this instance is associated with.
| Timer ()
| Default Constructor.
| ~Timer ()
| Destructor.
TimerThread::TimerEventEntry * | TimerSetEvent (int32 _milliseconds, TimerThread::TimerCallback _callback, uint32 id)
| Schedule an event.
void | TimerDelEvents ()
| Delete All Events registered to this instance.
void | TimerDelEvent (TimerThread::TimerEventEntry *te)
| Delete a Specific Event Registered to this instance.
void | TimerDelEvent (uint32 id)
| Delete a Specific Event Registered to this instance.
void | SetDriver (Driver *_driver)
| Register the Driver Associated with this Instance.
void | TimerFireEvent (TimerThread::TimerEventEntry *te)
| Called From the TimerThread Class to execute a callback.

## Detailed Description

Timer SubClass for automatically registering/unregistering Timer Callbacks if the instance goes out of scope.

## Constructor & Destructor Documentation

## ◆ Timer() [1/2]

Timer::Timer | ( | Driver * | _driver | ) |

Constructor with the _driver this instance is associated with.

Parameters

  _driver | The Driver that this instance is associated with

## ◆ Timer() [2/2]

Timer::Timer | ( |  | ) |

Default Constructor.

## ◆ ~Timer()

Timer::~Timer | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ SetDriver()

void Timer::SetDriver | ( | Driver * | _driver | ) |

Register the Driver Associated with this Instance.

Parameters

  _driver | The Driver

## ◆ TimerDelEvent() [1/2]

void Timer::TimerDelEvent | ( | TimerThread::TimerEventEntry * | te | ) |

Delete a Specific Event Registered to this instance.

Parameters

  te | The TimerEventEntry Struct that was returned when Setting a Event

## ◆ TimerDelEvent() [2/2]

void Timer::TimerDelEvent | ( | uint32 | id | ) |

Delete a Specific Event Registered to this instance.

Parameters

  id | The ID of the Timer To Delete

## ◆ TimerDelEvents()

void Timer::TimerDelEvents | ( |  | ) |

Delete All Events registered to this instance.

## ◆ TimerFireEvent()

void Timer::TimerFireEvent | ( | TimerThread::TimerEventEntry * | te | ) |

Called From the TimerThread Class to execute a callback.

Parameters

  te | The TimerEventEntry structure for the callback to execute

## ◆ TimerSetEvent()

TimerThread::TimerEventEntry * Timer::TimerSetEvent | ( | int32 | _milliseconds,
|  | TimerThread::TimerCallback | _callback,
|  | uint32 | id
| ) |  |

Schedule an event.

Parameters

  _milliseconds | The number of milliseconds before the event should happen
  _callback | The function to be called when the time is reached
  _id | The ID of the Timer

The documentation for this class was generated from the following files:

- TimerThread.h
- TimerThread.cpp